import { HttpClient } from '@angular/common/http';
import { TranslateService } from '@ngx-translate/core';
import { MessageService } from 'primeng/api';
import { WorkScheduleChangeDto } from '../work-schedule-change/work-schedule-change-dto';
export declare class WorkScheduleChangeAdjustmentService {
    private readonly http;
    private readonly messageService;
    private readonly translate;
    private readonly bffFacadeUrl;
    constructor(http: HttpClient, messageService: MessageService, translate: TranslateService);
    insert(bridge: WorkScheduleChangeDto): import("rxjs").Observable<unknown>;
    update(id: any, bridge: WorkScheduleChangeDto): import("rxjs").Observable<unknown>;
    delete(id: string): import("rxjs").Observable<unknown>;
}
